Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.harvard.hul.ois.jhove.module.pdf
Class AsciiHexFilterStream

    java.lang.Object
      java.io.InputStream
          java.io.FilterInputStream
              edu.harvard.hul.ois.jhove.module.pdf.AsciiHexFilterStream

All Implemented Interfaces:
  java.io.Closeable

    public class AsciiHexFilterStream

extends java.io.FilterInputStream

This is a stub which may be implemented in the future. It appears to be unnecessary for object streams and cross-reference streams created by any version of Acrobat through 7.0, and we don't look at other types of streams.

Author:
  Gary McGath

Field Summary

Fields inherited from class java.io.FilterInputStream
`in`

Constructor Summary
`AsciiHexFilterStream(java.io.InputStream in)`

Method Summary

Methods inherited from class java.io.FilterInputStream
`available, close, mark, markSupported, read, read, read, reset, skip`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AsciiHexFilterStream

    public AsciiHexFilterStream(java.io.InputStream in)

Parameters:
  `in` -

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD